Package Details: blitz 1.0.0-1

Git Clone URL: https://aur.archlinux.org/blitz.git (read-only)
Package Base: blitz
Description: C++ Class library for scientific computing
Upstream URL: https://github.com/blitzpp/blitz
Licenses: BSD
Conflicts: blitz-cppqed-hg
Submitter: ylep
Maintainer: ylep
Last Packager: ylep
Votes: 0
Popularity: 0.000000
First Submitted: 2016-04-08 12:40
Last Updated: 2017-07-13 15:30

Latest Comments

ylep commented on 2017-07-13 15:35

Thank you for the info, I did not know about the new upstream. I updated the PKGBUILD, bumping to a patched 1.0.0 version. Building works here under GCC 7.1.1, but the testsuite is still broken (use `makepkg --nocheck`).

berquist commented on 2017-07-12 21:31

There is an updated version on GitHub: https://github.com/blitzpp/blitz

I put the bare minimum changes required here: https://gist.github.com/berquist/0e68a7e178ad4b28f9bd5d2769f98d68

`check()` still fails, but `make lib` seems to work.

amit112amit commented on 2017-06-16 01:46

Building with gcc (GCC) 7.1.1 20170528 fails. Complains about "incomplete type" errors and a missing "fastread()" function. Has anyone successfully compiled it with latest GCC?

bartus commented on 2017-03-07 08:42

Substitute python with python2 in check().
sed 's/python/python2/g' blitz/generate/Makefile blitz/generate/*.py

ylep commented on 2016-09-29 16:05

Indeed, the test suite currently fails to build, probably due to an incompatibility with newer GCC versions. As a workaround, you can skip the tests by commenting out the check() function in PKGBUILD.

toogy commented on 2016-09-28 14:13

I get an error when trying to build the package: http://paste.awesom.eu/2AUM

/usr/include/boost/archive/detail/iserializer.hpp:246:17: error: ‘blitz::MemoryBlock<P_type>::~MemoryBlock() [with P_type = double]’ is protected within this context